<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddApplicationServerReq StructType
 * @subpackage Structs
 */
class AddApplicationServerReq extends APIRequest
{
    /**
     * The applicationServer
     * @var XApplicationServer
     */
    public $applicationServer;
    /**
     * Constructor method for AddApplicationServerReq
     * @uses AddApplicationServerReq::setApplicationServer()
     * @param XApplicationServer $applicationServer
     */
    public function __construct(XApplicationServer $applicationServer = null)
    {
        $this
            ->setApplicationServer($applicationServer);
    }
    /**
     * Get applicationServer value
     * @return XApplicationServer|null
     */
    public function getApplicationServer()
    {
        return $this->applicationServer;
    }
    /**
     * Set applicationServer value
     * @param XApplicationServer $applicationServer
     * @return AddApplicationServerReq
     */
    public function setApplicationServer(XApplicationServer $applicationServer = null)
    {
        $this->applicationServer = $applicationServer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddApplicationServerReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
